Its failing because you are not using the correct TWRP, your using the 1st one available, you need to flash the newer version 2.6.3.1 or higher, it does state this in the CM 11 thread